Subject: bug#36758: 27.0.50; Mac OS/Lucid/X11: crash with libharfbuzz

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 22 Jul 2019 17:15:02 +0900

On Mon, 22 Jul 2019 16:09:21 +0900,
Simon Leinen wrote:
> 
> I regularly build Emacs from Git master on my work system, an Apple
> laptop running Mac OS 10.14.5 "Mojave".  My current binaries have been
> built from commit fd5410217ff23810edc16e97c10934ad622f8e4b.
> 
> As I want to use open standards as far as possible, I've always been
> building with X11 libraries (--with-x --with-x-toolkit=lucid
> --with-ns=no).
> 
> Lately I have experienced several crashes, mostly while using GNUS
> (which fontifies articles in interesting ways).  From running under the
> debugger, it seems they are related to libharfbuzz in some way.
> Unfortunately I have no easy way to reproduce this from emacs -Q.

Could you try the following instructions?

  1. recompile Emacs with CFLAGS="-O0 -g3"
  2. run it under lldb.
  3. run GNUS and wait for crash happens.
  4. repeat lldb "up" command until it reaches emacs`ftfont_list
     (frame #12 in the original stack trace)
  5. run "p file" under lldb.

				     YAMAMOTO Mitsuharu
				[email-masked]